%define bugzilla_dir /var/www/html/bugzilla
%define bugzilla_ver 2.16.1
%define extra_ver 1.0
%define lang ru

Name:       bugzilla-%lang
Version:	%bugzilla_ver.%extra_ver
Release:	alt1
Summary:	Bugzilla-%lang is a Russian localization

License:	MPL
Group:		Networking/WWW
Source:	    bugzilla-%bugzilla_ver-%lang-%extra_ver.tar.bz2
Patch0:	    bugzilla-ru-add-lang-switch.patch	
Patch1:	    bugzilla-ru-simple-query.patch
Patch2:	    bugzilla-ru-enter-bug-chg.patch	
URL:		http://www.bugzilla.org/
Requires:	bugzilla
BuildArch:	noarch

%description
Bugzilla-ru is a Russian localization of Bugzilla bug tracking system.

%prep
%setup -q -c
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build

%install
install -d -m755 %buildroot/%bugzilla_dir
cp -aRf * %buildroot/%bugzilla_dir/

%post
if [ $1 -eq 1 ]; then
    echo "\$localizations{\"%lang\"}=\"Russian\";" >> %bugzilla_dir/localization.list
fi

%postun
if [ $1 -eq 0 ]; then
  if [ -f %bugzilla_dir/localization.list ]; then
    subst '/\$localizations{"%lang"}="Russian";/d' %bugzilla_dir/localization.list
  fi
fi

%files
%defattr(-, root, root)
%doc README-ru README-ru.en
%bugzilla_dir/help/*
%bugzilla_dir/template/*

%changelog
* Fri May 02 2003 Alexey Gladkov <legion@altlinux.ru> 2.16.1.1.0-alt1
- First build for ALTLinux
